import math
import random
from sets import Set
from Tkinter import *
from MyCanvas import *
from Graph import *
from Node import *
from GraphOps import *
		
random.seed(2)		
g = Graph(1300,800)
for i in range(25):
	g.addNode(Node(i,random.randint(0,g.width),random.randint(0,g.length)))
for node in g.nodes:
	for node2 in g.nodes:
		if node != node2:
			g.addEdge(random.randint(1,100), node.name, node2.name)

primsMST(g)
g.calculateK()
for i in range(100):
	iterate(g)

c = MyCanvas(Tk(), g, True)
c.pack(expand=YES, fill=BOTH)

mainloop()