class Node:
	def __init__(self, name, xPos, yPos):
		self.name = name
		self.pos = [xPos, yPos]
		self.disp = [0.0, 0.0]
		self.near = []
	
	def addNeighbor(self, neighbor, dist):
		self.near.append((dist, neighbor))
		self.near.sort()
	
	def __str__(self):
		return str(self.name)+" "+ str(self.pos)
		
	def __repr__(self):
		return str(self.name)+" "+str(self.pos)