from Node import Node
from Graph import Graph
from GraphOps import *
from MyCanvas import *
import random
from ClusterDict import *

g = Graph(1300,800)
c = ClusterDict()

rando = [i for i in range(50)]
rando = random.sample(rando, 50)	

for i in range(17770):
	cluster = int(c.clusters[i][3])
	mod = rando.index(cluster)%10
	div = rando.index(cluster)/6
	allGood = False
	coords = [-1,-1]
	while not allGood:
		coords[0] = random.randint(mod*130-100, mod*130+100)
		coords[1] = random.randint(div*100-100, div*100+100)
		if coords[0] > 0 and coords[0] < 1300:
			if coords[1] > 0 and coords[1] < 800:
				allGood = True
	g.addNode(Node(i,coords[0],coords[1]))




f = open('knnGraph.txt', 'r')
print 'start'
for line in f:
	list = line.split(',')
	list[2] = list[2][:-1]
	print list
	g.addEdge(list[1], list[0], list[2])
print 'end'		

g.calculateK()
for i in range(100):
	h = open('betterclusterediterationtrytwo'+str(i)+'.txt', 'w')
	iterate(g)
	for node in g.nodes:
		h.write(str(node)+'\n')
